<?php
/*
 class CStudentInClassAccess extends CTblAccess {
	//饹˻äƤּԤ򰷤饹
	var $moodle_student_arr;

	function CStudentInClassAccess () {
		$this->CTblAccess (STU_TBL." AS st, ".USR_TBL." AS ut");
	}

	function getStudentsInClass($conn, $class_id) {
		//ۤ
		$want_col = "ut.id, ut.username, ut.password, ut.firstname,ut.lastname, ut.email,ut.lang, ut.timemodified";
		$condition = " WHERE ut.id = st.userid AND ut.deleted = 0 AND ";

		$condition .= "st.course = '".$this->escapeSqlString($class_id)."'";
		$result = $this->getList($want_col, $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result;
		}
	}

	function setStudentsOfClass($conn, $class_id) {
		//ۤ
		$want_col = "ut.id AS mid, ut.username, ut.password, ut.firstname,ut.lastname, ut.email,ut.lang, ut.timemodified";
		$condition = " WHERE ut.id = st.userid AND ut.deleted = 0 AND ";

		$condition .= "st.course = '".$this->escapeSqlString($class_id)."'";
		if (!$this->setListWithKey("mid",$want_col, $condition, $conn)) {
			return false;
		}
		$this->moodle_student_arr = $this->getSelectedList ();
		return true;
	}
	
	function getStudentsOfClass () {
		return $this->moodle_student_arr;
	}
}

class CClassPerStudents extends CTblAccess {
	var $course_list;
	function CClassPerStudents () {
		$this->CTblAccess(USR_TBL." AS ut, ".STU_TBL." AS st, ".COURSE_TBL." AS ct");
	}
	
	function setCourseList ($conn, $mid) {
		$want_col = "ut.id AS mid, ut.email, ut.username, ut.firstname, ut.lastname, ct.fullname, ct.summary";
		$condition = " WHERE ut.id = st.userid AND st.course = ct.id AND ut.id='".$this->escapeSqlString($mid)."'";
		if (!$this->setSelectedList($want_col, $condition, $conn)) {
			return false;
		}
		$this->course_list = $this->getSelectedList();
		return true;
	}
	
	function getCourseList () {
		return $this->course_list;
	}
}

class CClassPerTeachers extends CTblAccess {
	var $course_list;
	function CClassPerTeachers () {
		$this->CTblAccess(USR_TBL." AS ut, ".TEA_TBL." AS tt, ".COURSE_TBL." AS ct");
	}
	
	function setCourseList ($conn, $mid) {
		$want_col = "ut.id AS mid, ut.email, ut.username, ut.firstname, ut.lastname, ct.fullname, ct.summary";
		$condition = " WHERE ut.id = tt.userid AND tt.course = ct.id AND ut.id='".$this->escapeSqlString($mid)."'";
		if (!$this->setSelectedList($want_col, $condition, $conn)) {
			return false;
		}
		$this->course_list = $this->getSelectedList();
		return true;
	}
	
	function getCourseList () {
		return $this->course_list;
	}
}


 class CTeacherInClassAccess extends CTblAccess {
	//饹˻äƤ붵򰷤饹
	//MoodleΥ⥸塼Ǥѹ
	var $moodle_teacher_arr;
	function CTeacherInClassAccess () {
		$this->CTblAccess (TEA_TBL." AS tt, ".USR_TBL." AS ut");
	}

	function getTeachersInClass($conn, $class_id) {
		//ۤ
		$want_col = "ut.id, ut.username, ut.firstname,ut.lastname, ut.email,ut.lang, ut.timemodified";
		$condition = " WHERE ut.id = tt.userid AND ut.deleted = 0 AND ";
		$condition .= "tt.course = '".$this->escapeSqlString($class_id)."'";
		$result = $this->getList($want_col, $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result;
		}
	}
	
	function setTeachersOfClass ($conn, $class_id) {
		$want_col = "ut.id AS mid, ut.username, ut.password, ut.firstname,ut.lastname, ut.email,ut.lang, ut.timemodified";
		$condition = " WHERE ut.id = tt.userid AND ut.deleted = 0 AND ";
		$condition .= "tt.course = '".$this->escapeSqlString($class_id)."'";
		if (!$this->setListWithKey("mid",$want_col, $condition, $conn)) {
			return false;
		}
		$this->moodle_teacher_arr = $this->getSelectedList ();
		return true;
	}
	
	function getTeachersOfClass () {
		return $this->moodle_teacher_arr;
	}

}*/
//XOOPSѤΥ饹
//
class CXGroupMemberAccess extends CXTblAccess {
	var $xoops_mem_arr;
	function CXGroupMemberAccess () {
		$this->CXTblAccess (XUSR_TBL." AS ut, ".XLINK_TBL." AS lt");
	}

	function setTeachersStudentsInClass($conn, $class_id) {
		//ۤ
		$want_col = "CASE WHEN ut.rank > 0 THEN 1 ELSE 0 END AS is_teacher, ";
		$want_col .="ut.uid AS xid, ut.name, ut.uname, ut.email, ut.pass, ut.user_regdate";
		$condition = " WHERE ut.uid = lt.uid AND lt.groupid = '".intval($class_id)."'";
		if (!$this->setListWithKey("xid",$want_col, $condition, $conn)) {
			return false;
		}
		$this->xoops_mem_arr = $this->getSelectedlist();
		return true;
	}
	function getTeachersStudentsInClass () {
		return $this->xoops_mem_arr;
	}
}

class CGroupListAccess extends CXTblAccess {
	//桼ξܺپ򸫤ݤˡ롼פ⸫
	
	var $user_group_info;
	function CGroupListAccess () {
		$this->CXTblAccess (XUSR_TBL." AS ut, ".XLINK_TBL." AS lt, ".XGROUP_TBL." AS gt");
	}
	function setGroupListPerUser ($conn, $xid) {
		$want_col = "ut.uid AS xid, ut.uname, ut.name, ut.email, ut.pass,";
		$want_col .= "gt.name AS gname, gt.description";
		$condition = " WHERE ut.uid = lt.uid AND lt.groupid = gt.groupid AND ut.uid ='";
		$condition .= $this->escapeSqlString($xid)."'";
		if (!$this->setSelectedList($want_col, $condition, $conn)) {
			return false;
		}
		$this->user_group_info = $this->getSelectedList();
		return true;
	}
	
	function setMGroupListPerUser ($conn, $xid) {
		$this->setTblName(XUSR_TBL." AS ut, ".XSBGROUP_TBL." AS sgt, ".XLINK_TBL." AS lt, ".XGROUP_TBL." AS gt");
		$want_col = "ut.uid AS xid, ut.uname, ut.name, ut.email, ut.pass,";
		$want_col .= "gt.name AS gname, gt.description";
		$condition = " WHERE ut.uid = lt.uid AND lt.groupid = gt.groupid AND ut.uid ='";
		$condition .= $this->escapeSqlString($xid)."'";
		$condition .= " AND sgt.xoops_group_id = gt.groupid";

		if (!$this->setSelectedList($want_col, $condition, $conn)) {
			return false;
		}
		$this->user_group_info = $this->getSelectedList();
		return true;
	}
	
	function getGroupListPerUser () {
		return $this->user_group_info;
	}
}

class CSyncUserAccess extends CXTblAccess{
	var $unsync_users;
	function CSyncUserAccess () {
		$this->CXTblAccess (XUSR_TBL." AS ut LEFT JOIN ".XSBUSR_TBL." AS sb ON ut.uid = sb.xoops_usr_id");
	}
	
	function setUnSyncUsers ($conn) {
		//ƱΤȤƤʤ桼ΥꥹȤƤ
		$want_col = "ut.uid, ut.name, ut.uname, ut.pass, ut.rank, ut.email";
		$condition = " WHERE sb_user_id IS NULL";
		if (!$this->setSelectedList($want_col, $condition, $conn)) {
			return false;
		}
		$this->unsync_users = $this->getSelectedList();
		return true;
	}
	function getUnSyncUsers () {
		return $this->unsync_users;
	}
	
}
/*
class CTeacherClassAccess extends CTblAccess {
	function CTeacherClassAccess() {
		$this->CTblAccess (CLASS_TEA_TBL." AS ctt, ".USER_TBL." AS ut1,".USER_TBL." AS ut2,".CLASS_TBL." AS ct, ".CLASS_SU_TBL." AS cst");
	}
	function getClassList($conn) {
		$want_col = "ct.name AS class_nam, ut1.uname AS teacher_nam, ut1.uid AS teacher_id, ct.groupid, COUNT(ut2.uid) AS registered_num";
		//
		$condition = " WHERE ut1.uid = ctt.uid AND ut2.uid = cst.uid AND ctt.groupid = cst.groupid";
		$condition .= " AND ct.groupid = ctt.groupid AND cst.groupid = ct.groupid ";
		$condition .= "GROUP BY ct.groupid";
		$result = $this->getList($want_col, $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result;
		}
	}
	function getClassMember($conn, $class_id) {
		$want_col = "ct.name AS class_nam, ut1.uname AS teacher_nam, ut1.uid AS teacher_id, ct.groupid, ut2.uname AS student_nam";
		//
		$condition = " WHERE ut1.uid = ctt.uid AND ut2.uid = cst.uid AND ctt.groupid = cst.groupid";
		$condition .= " AND ct.groupid = ctt.groupid AND cst.groupid = ct.groupid ";
		$condition .= " AND ct.groupid = '".$this->escapeSqlString($class_id)."'";
		$result = $this->getList($want_col, $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result;
		}
	}

	function getClassListForStudent($conn, $student_id) {
	//Ѥν°饹
		$want_col = "ct.name AS class_nam, ut1.uname AS teacher_nam, " .
				"ut1.uid AS teacher_id, ct.groupid, cst.class_student_id";
		//
		$condition = " WHERE ut1.uid = ctt.uid AND ut2.uid = cst.uid AND ctt.groupid = cst.groupid";
		$condition .= " AND ct.groupid = ctt.groupid AND cst.groupid = ct.groupid ";
		$condition .= " AND ut2.uid ='".$this->escapeSqlString($student_id)."'";
		$condition .= " GROUP BY ct.groupid";
		$result = $this->getList($want_col, $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result;
		}
	}
//XoopsCubeѤκƸ
	function getNamesPerClassStudent ($conn, $class_student_id) {
	//class_student饰롼̾̾̾򸡺
		$want_col = "ct.name AS class_nam, ut1.uname AS teacher_nam, " .
				"ut2.uname AS student_nam";
		//
		$condition = " WHERE ut1.uid = ctt.uid AND ut2.uid = cst.uid AND ctt.groupid = cst.groupid";
		$condition .= " AND ct.groupid = ctt.groupid AND cst.groupid = ct.groupid ";
		$condition .= " AND cst.class_student_id ='".$this->escapeSqlString($class_student_id)."'";

		$result = $this->getList($want_col, $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result[0];
		}
		
	}
}
*/
/*
class CMClassListAccess extends CTblAccess {
	//admin/index.phpʤɤѤСθƤӽФ
	function CMClassListAccess () {
		$this->CTblAccess ("NOT SET");
	}
	
	function setNumbersPerGroup ($conn) {
		//롼פ򥭡ȤͿμ
		$this->tbl_name = COURSE_TBL." AS mc ";
		$condition = "LEFT JOIN ".STU_TBL." AS mus ON mus.course = mc.id ";
		$condition .= "LEFT JOIN ".TEA_TBL." AS mut ON mut.course = mc.id ";
		$condition .= "GROUP BY mc.id";
		$want_col = "mc.id, COUNT (DISTINCT mus.id) AS stu_num, COUNT (DISTINCT mut.id) AS tea_num";
		if (!$this->setListWithKey("id", $want_col, $condition, $conn)) return false;
		return true;
	}
}*/
?>
